org.eclipse.mat.ui.internal.views

## Class SnapshotHistoryView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.mat.ui.internal.views.SnapshotHistoryView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, SnapshotHistoryService.IChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class SnapshotHistoryView
    extends org.eclipse.ui.part.ViewPart
    implements SnapshotHistoryService.IChangeListener

### Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotHistoryView()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`Object` `getAdapter(Class required)`
`void` `onFileHistoryChange(List<SnapshotHistoryService.Entry> visited)`
`void` `setFocus()`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`getViewSite, init, init, saveState, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Constructor Detail

#### SnapshotHistoryView

    public SnapshotHistoryView()

### Method Detail

#### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
Specified by:
  `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
Overrides:
  `dispose` in class `org.eclipse.ui.part.WorkbenchPart`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
Specified by:
  `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

#### getAdapter

    public Object getAdapter(Class required)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.ui.part.WorkbenchPart`

#### onFileHistoryChange

    public void onFileHistoryChange(List<SnapshotHistoryService.Entry> visited)

Specified by:
  `onFileHistoryChange` in interface `SnapshotHistoryService.IChangeListener`